commit:     2827e5a1476858bb06b54fc0344a1adafc008217
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon May 11 16:53:51 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon May 11 17:00:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2827e5a1

dev-ruby/activesupport: add 6.0.3

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/activesupport/Manifest                   |  1 +
 dev-ruby/activesupport/activesupport-6.0.3.ebuild | 73 +++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index cade3ca76a8..2671a927c04 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -1,2 +1,3 @@
 DIST rails-5.2.4.2.tgz 8823143 BLAKE2B 
273bee6ccc2354bcfd8d24b320fe69c24f643c196eba053c727d30b13d4178069068c430a0a4112ae28c3e4b5a5dde0b66a7c46c7c28054f2b7a678427f478af
 SHA512 
21561407a0b606dbd2fb6ad12ef910c0bdf3d5162db7e55f4f41f698280ba73664b0b5594930d4cebcb42a66e2e5e22de3523789818eb424443e8c5b2316b8fc
 DIST rails-6.0.2.2.tgz 18556125 BLAKE2B 
f4ed5cc6cbbfa84fb687aba5a6c8f2f6ab68febb41147c40ed8dbc6253c128adbac6503e65e89fe672f50270716d197d8c05b4e1e286aafd76581fc167e6c5da
 SHA512 
c1aab2d6c72948c75a047aec9d9f651f0c1bae78bb17e2fa0cb393113ee1e59980dc093e6f3fd3b2f3839c9b3bb4afcd0b0badfd9574b35b932275a9d9800689
+DIST rails-6.0.3.tgz 18565682 BLAKE2B 
fe8601aec070535f487801eec16d944809be824e4833b7a906b47b4099dd5e72515ac3e492e4301dd651657fc2c4547ecbdd2c12265e04aad2758e9e284ad385
 SHA512 
f4572b4ebba9a79a6910c554f06e71efab5ccc0090e1a620e80b9d3b479cdd21d5a041437d90313e045e47ccc6e44eb21d4e56cc9fe1fb791cf5593427d0501b

diff --git a/dev-ruby/activesupport/activesupport-6.0.3.ebuild 
b/dev-ruby/activesupport/activesupport-6.0.3.ebuild
new file mode 100644
index 00000000000..bf4536107f9
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-6.0.3.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~sparc ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       >=dev-ruby/concurrent-ruby-1.0.2:1
+       dev-ruby/i18n:1
+       >=dev-ruby/tzinfo-1.1:1
+       >=dev-ruby/minitest-5.1:5
+       >=dev-ruby/zeitwerk-2.1.8:2
+"
+
+# memcache-client, nokogiri, builder, and redis are not strictly needed,
+# but there are tests using this code.
+ruby_add_bdepend "test? (
+       >=dev-ruby/dalli-2.2.1
+       >=dev-ruby/nokogiri-1.4.5
+       >=dev-ruby/builder-3.1.0
+       >=dev-ruby/listen-3.0.5:3
+       dev-ruby/rack
+       dev-ruby/mocha
+       )"
+
+all_ruby_prepare() {
+       # Set the secure permissions that tests expect.
+       chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -i -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|redis\|sqlite\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' \
+               -e 's/gemspec/gemspec path: "activesupport"/' \
+               -e '5igem "builder"; gem "rack"' ../Gemfile || die
+       rm ../Gemfile.lock || die
+       sed -i -e '1igem "tzinfo", "~> 1.1"' test/abstract_unit.rb || die
+
+       # Avoid test that depends on timezone
+       sed -i -e '/test_implicit_coercion/,/^  end/ s:^:#:' 
test/core_ext/duration_test.rb || die
+
+       # Avoid tests that seem to trigger race conditions.
+       rm -f test/evented_file_update_checker_test.rb || die
+
+       # Avoid test that generates filename that is too long
+       sed -i -e '/test_filename_max_size/askip "gentoo"' 
test/cache/stores/file_store_test.rb || die
+
+       # Avoid tests requiring a live redis running
+       rm -f test/cache/stores/redis_cache_store_test.rb || die
+       sed -i -e '/cache_stores:redis/ s:^:#:' Rakefile || die
+       sed -i -e '/test_redis_cache_store/askip "lacking keywords"' 
test/cache/cache_store_setting_test.rb || die
+}

Reply via email to